## python-trollius 0.1.4+20140210+git+6f1f9233b1

=== Makefile ===
# Some simple testing tasks (sorry, UNIX only).

PYTHON=python3
VERBOSE=$(V)
V=	0
FLAGS=

test:
	$(PYTHON) runtests.py -v $(VERBOSE) $(FLAGS)

vtest:
	$(PYTHON) runtests.py -v 1 $(FLAGS)

testloop:
	while sleep 1; do $(PYTHON) runtests.py -v $(VERBOSE) $(FLAGS); done

# See runtests.py for coverage installation instructions.
cov coverage:
	$(PYTHON) runtests.py --coverage -v $(VERBOSE) $(FLAGS)

check:
	$(PYTHON) check.py

# Requires "pip install pep8".
pep8: check
	pep8 --ignore E125,E127,E226 tests asyncio

clean:
	rm -rf `find . -name __pycache__`
	rm -f `find . -type f -name '*.py[co]' `
	rm -f `find . -type f -name '*~' `
	rm -f `find . -type f -name '.*~' `
	rm -f `find . -type f -name '@*' `
	rm -f `find . -type f -name '#*#' `
	rm -f `find . -type f -name '*.orig' `
	rm -f `find . -type f -name '*.rej' `
	rm -rf dist
	rm -f .coverage
	rm -rf htmlcov
	rm -rf build
	rm -f MANIFEST
	rm -rf trollius.egg-info
	rm -rf .tox


# Make distributions for Python 3.3
pypi: clean
	python3.3 setup.py sdist upload

=== debian/changelog ===
python-trollius (0.1.4+20140210+git+6f1f9233b1-2) unstable; urgency=medium

  * Adds missing python3-mock and python3-nose build-depends (Closes: #743077).

 -- Thomas Goirand <zigo@debian.org>  Mon, 31 Mar 2014 07:57:18 +0000

python-trollius (0.1.4+20140210+git+6f1f9233b1-1) unstable; urgency=low

  * Initial release. (Closes: #738511)

 -- Thomas Goirand <zigo@debian.org>  Sun, 09 Feb 2014 17:41:15 +0800

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = hg::https://bitbucket.org/enovance/trollius
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-trollius; \
	done
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-trollius; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	nosetests tests
	nosetests3 tests
endif

## python-trollius 1.0.1

=== debian/changelog ===
python-trollius (1.0.1-1) unstable; urgency=medium

  * New upstream release:
    - New API rework (Closes: #756362).
  * Temporarily allow unit tests to fail in Python 2, because the unit test
    suite is using "yield from []" which is Python 3 specific.

 -- Thomas Goirand <zigo@debian.org>  Wed, 10 Sep 2014 17:23:18 +0800

=== debian/control ===
Source: python-trollius
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-concurrent.futures,
               python-mock (>= 1.0),
               python-nose,
               python-setuptools,
               python-unittest2,
               python3-all,
               python3-mock,
               python3-nose,
               python3-setuptools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-trollius.git
Vcs-Git: git://anonscm.debian.org/openstack/python-trollius.git
Homepage: https://bitbucket.org/enovance/trollius/

Package: python-trollius
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-concurrent.futures, ${misc:Depends}, ${python:Depends}
Description: port of the Tulip project on Python 2.7 - Python 2.x
 Trollius is a portage of the Tulip project (asyncio module, PEP 3156) on
 Python 2. Trollius works on Python 2.6-3.4. It has been tested on Windows,
 Linux, Mac OS X, FreeBSD and OpenIndiana.
 .
 This package contains the Python 2.x module.

Package: python3-trollius
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${python3:Depends}
Description: port of the Tulip project on Python 2.7 - Python 3.x
 Trollius is a portage of the Tulip project (asyncio module, PEP 3156) on
 Python 2. Trollius works on Python 2.6-3.4. It has been tested on Windows,
 Linux, Mac OS X, FreeBSD and OpenIndiana.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,6 @@
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	nosetests tests
+	nosetests tests || true
 	nosetests3 tests
 endif

## python-trollius 2.1~b1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # Some simple testing tasks (sorry, UNIX only).
 
-PYTHON=python3
+PYTHON=python
 VERBOSE=$(V)
 V=	0
 FLAGS=
@@ -38,11 +38,25 @@
 	rm -f .coverage
 	rm -rf htmlcov
 	rm -rf build
+	rm -rf asyncio.egg-info
 	rm -f MANIFEST
 	rm -rf trollius.egg-info
 	rm -rf .tox
 
 
-# Make distributions for Python 3.3
+# For distribution builders only!
+# Push a source distribution for Python 3.3 to PyPI.
+# You must update the version in setup.py first.
+# A PyPI user configuration in ~/.pypirc is required;
+# you can create a suitable confifuration using
+#   python setup.py register
 pypi: clean
 	python3.3 setup.py sdist upload
+
+# The corresponding action on Windows is pypi.bat.  For that to work,
+# you need to install wheel and setuptools.  The easiest way is to get
+# pip using the get-pip.py script found here:
+# https://pip.pypa.io/en/latest/installing.html#install-pip 
+# That will install setuptools and pip; then you can just do
+#   \Python33\python.exe -m pip install wheel 
+# after which the pypi.bat script should work.

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Trollius.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Trollius.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Trollius"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Trollius"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-trollius (2.1~b1-5) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * Stop building python3-trollius. (Closes: #867771)
  * Updating standards version to 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Oct 2017 19:54:51 +0000

python-trollius (2.1~b1-4) unstable; urgency=medium

  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

 -- Ondřej Nový <novy@ondrej.org>  Thu, 19 May 2016 21:36:53 +0200

python-trollius (2.1~b1-3) unstable; urgency=medium

  * Update the homepage field (Closes: #814979).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 17:52:07 +0000

python-trollius (2.1~b1-2) unstable; urgency=medium

  * Added openstack-pkg-tools as build-depends (Closes: #814986).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Feb 2016 12:44:46 +0000

python-trollius (2.1~b1-1) unstable; urgency=medium

  * New upstream release (Closes: #812309).
  * Fixed new upstream VCS URLs in debian/rules.
  * Removed non-active maintainers from uploaders.
  * Testing with all versions of Python(3).
  * Move some build-depends into build-depends-indep.
  * Remove Pre-Depends on dpkg.
  * Standards-Version is now 3.9.6 (no change).
  * VCS urls using https.
  * Fixed debian/copyright years and order.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Feb 2016 16:54:08 +0800

=== debian/control ===
Source: python-trollius
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-concurrent.futures,
 python-mock,
 python-nose,
 python-unittest2,
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/python/python-trollius.git
Vcs-Git: https://anonscm.debian.org/git/openstack/python/python-trollius.git
Homepage: https://github.com/haypo/trollius

Package: python-trollius
Architecture: all
Depends:
 python-concurrent.futures,
 ${misc:Depends},
 ${python:Depends},
Description: port of the Tulip project on Python 2.7 - Python 2.x
 Trollius is a portage of the Tulip project (asyncio module, PEP 3156) on
 Python 2. Trollius works on Python 2.6-3.4. It has been tested on Windows,
 Linux, Mac OS X, FreeBSD and OpenIndiana.
 .
 This package contains the Python 2.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/haypo/trollius.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-trollius; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	set -e ; set -x ; for i in 2.7 ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHON=$$i python$$i -Wd runtests.py -r ; \
        done
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/t/trollius trollius-(.*).tar.gz
